#include <qstring.h>
#include <qregexp.h>
#include <qdir.h>
#include <qmessagebox.h>

#include <stdio.h>

static FILE * g_log = NULL;
static int log_inited = 0;

void WriteLog(QString str)
{
	if(!log_inited)
	{
		log_inited = 1;
		g_log = fopen(QDir::currentDirPath() + "/dedit.log", "w+");
	}
	if(g_log)
	{
		fprintf(g_log, "%s", (const char*)str);
		fflush(g_log);
	}
}

QString TWEscapeXML(QString str)
{
	str.replace(QRegExp("&"),"&amp;");
	str.replace(QRegExp(">"),"&gt;");
	str.replace(QRegExp("<"),"&lt;");
	str.replace(QRegExp("\""),"&quot;");
	str.replace(QRegExp("\n"),"&#10;");
	return str;
}
