/* $Id: nullphas.h,v 1.1.1.1 2004/08/01 10:21:24 Yura Exp $ */ 
/*
This file is part of "TW-Light" 
                    http://tw-light.berlios.de/
Copyright (C) 2001-2004  TimeWarp development team

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
*/

class Upgrade;
extern Upgrade **upgrade_list;

class UpgradeIndex {
public:
	enum {
		crewpod,
		battery,
		thrusters,
		controljets,
		dynamo,
		supoxrange,
		supoxdamage,
		supoxblade,
		orzmissile,
		orzmarinespeed,
		orzabsorption,
		kohrahbladedamage,
		kohrahbladespeed,
		kohrahfirerange,
		kohrahfiredamage,
		utwigrange,
		utwigdamage,
		utwigrof,
		utwigmask1,
		utwigmask2,
		divinefavor,
		unholyaura,
		defender,
		planetlocater,
		hyperdynamo,
		//gobradar,
		//roswelldevice,
		NULL_UPGRADE
	};
};

class GobDefender : public SpaceObject {
	public:
	GobDefender ( Ship *ship);
	double base_phase;
	virtual void calculate();
	int next_shoot_time;
};

/*class RoswellDevice : public Presence {
	public:
	RoswellDevice ( Ship *ship, double angle );
	virtual void calculate();
	int next_shoot_time;
	double phase;
};*/

class UnholyAura : public Presence {
public:
	SpaceLocation *focus;
	double angle;
	virtual void calculate ();
	virtual void animate ( Frame * frame);
	UnholyAura ( SpaceLocation *ship );
};

/*
class GobRadar : public Presence {
public:
	TeamCode team;
	double gx, gy, gw, gh;
	VideoWindow *window;
	//virtual void calculate ();
	virtual void animate ( Frame * frame );
	virtual void animate_item ( SpaceLocation *item);
	GobRadar();
};*/

