/*
  This file is part of "TW-Light" 
  http://tw-light.berlios.de/
  Copyright (C) 2001-2004  TimeWarp development team

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
*/

#ifndef __TW_LIGHT_GAME_HIERARCHY_H__
#define __TW_LIGHT_GAME_HIERARCHY_H__

#include "melee/mgame.h"
#include <set>
#include <map>
#include <string>

#include "util/history.h"

///  This class should allow you to start, play, end a game from within a game (while the
///  other games are also running in the background). Games and their physics are independent.
class MainGame
{
 public:
  MainGame(const std::string& game_path);
  virtual int Load(const std::string& save);
  virtual void intro();
  virtual int play();
};

#endif


